<div [attr.data-step]="selectedStep" *ngIf="selectedStep">
  <form [formGroup]="stepTwoForm">
    <div class="cmp-steps-rating">
      <fieldset>
        <legend class="pt-3 iscrizioni-header w-100">
          <h3 class="h6 d-flex flex-column flex-lg-row align-items-lg-center justify-content-between drop-shadow" data-element="feedback-rating-question">
            <span class="d-block text-wrap">
              {{ 'form.other_details' | translate}}
            </span>
            <span class="step ml-1" aria-hidden="true">{{ selectedStep }}/{{ stepsLength }}</span>
          </h3>
        </legend>
        <div class="cmp-steps-rating__body py-4">
          <div class="form-group">
            <label for="inputWithHelp" #detailInputLabel>{{ 'form.detail' | translate}}</label>
            <input
              data-element="feedback-input-text"
              #detailInput
              formControlName="details"
              type="text"
              class="form-control"
              id="inputWithHelp"
              maxlength="200"
              autofocus
              autocomplete="off"
              data-focus-mouse="false"
              (focusin)='onFocusIn()'
              (focusout)="onFocusOut()"
              [attr.aria-invalid]="hasError"
              [attr.aria-describedby]="hasError ? 'note error-field' : 'note'"
            />
            <small class="form-text" id="note">{{ 'form.max_chars' | translate}}</small>
            <div id="error-field" class="form-feedback just-validate-error-label" *ngIf="hasError">{{ 'form.max_chars' | translate}}</div>
          </div>
        </div>
      </fieldset>
    </div>
  </form>
</div>
